SDL Library Documentation
Prev |  | Next

# SDL_JoystickOpen

## Name

SDL_JoystickOpen -- Opens a joystick for use.

## Synopsis

    #include "SDL.h"

``SDL_Joystick *SDL_JoystickOpen`(int index);`

## Description

Opens a joystick for use within SDL. The `index` refers to the N'th joystick in the system. A joystick must be opened before it game be used.

## Return Value

Returns a SDL_Joystick structure on success. NULL on failure.

## Examples

    SDL_Joystick *joy;
    // Check for joystick
    if(SDL_NumJoysticks()>0){
      // Open joystick
      joy=SDL_JoystickOpen(0);

      if(joy)
      {
        printf("Opened Joystick 0\n");
        printf("Name: %s\n", SDL_JoystickName(0));
        printf("Number of Axes: %s\n", SDL_JoystickNumAxes(joy));
        printf("Number of Buttons: %s\n", SDL_JoystickNumButtons(joy));
        printf("Number of Balls: %s\n", SDL_JoystickNumBalls(joy));
      }
      else
        printf("Couldn't open Joystick 0\n");

      // Close if opened
      if(SDL_JoystickOpened(0))
        SDL_JoystickClose(joy);
    }

## See Also

`SDL_JoystickClose`

Prev | Home | Next
SDL_JoystickName | Up | SDL_JoystickOpened